Bug 871585

Summary: rhevm-manage-domain ask for a password instead of domain resolving fail.
Product: Red Hat Enterprise Virtualization Manager Reporter: Ilanit Stein <istein>
Component: ovirt-engine-configAssignee: Yair Zaslavsky <yzaslavs>
Status: CLOSED CURRENTRELEASE QA Contact: Ilanit Stein <istein>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 3.1.0CC: bazulay, dyasny, iheim, oourfali, oramraz, Rhev-m-bugs, sgrinber, ykaul
Target Milestone: ---Keywords: StudentProject
Target Release: 3.2.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: infra
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Infra RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 915537    

Description Ilanit Stein 2012-10-30 15:18:33 EDT
Description of problem:

in response to running rhevm-manage-domains for a domain with missing SRV record,
like in bug 757519, a password is asked. There is no sense in asking for password in such case.

Version-Release number of selected component (if applicable):
SI22.1

How reproducible:
always

rhevm console log:

[root@lilach-rhel ~]# rhevm-manage-domains -action=add -domain=dc1.forest2008.qa.lab.tlv.redhat.com -user=vdcadmin -provider=ActiveDirectory -interactive
Enter password:

Error: Authentication Failed. Please verify the fully qualified domain name that is used for authentication is correct.. Problematic domain is: dc1.forest2008.qa.lab.tlv.redhat.com
Failure while applying Kerberos configuration. Details: Authentication Failed. Please verify the fully qualified domain name that is used for authentication is correct.

/var/log/ovirt-engine/engine-manage-domains.log:

2012-10-30 15:37:51,659 INFO  [org.ovirt.engine.core.utils.kerberos.ManageDomains] Creating kerberos configuration for domain(s): qa.lab.tlv.redhat.com,dc1.forest2008.qa.lab.tlv.redhat.com
2012-10-30 15:37:51,693 ERROR [org.ovirt.engine.core.utils.dns.DnsSRVLocator] Error: could not find DNS SRV record name: _kerberos._tcp.DC1.FOREST2008.QA.LAB.TLV.REDHAT.COM.
Exception message is: DNS name not found [response code 3]
Possible causes: missing DNS entries in the DNS server or DNS resolving issues from engine-core machine.
Please Ensure correct DNS entries exist in the DNS server and ensure the DNS server is reachable from the engine-core machine.
2012-10-30 15:37:51,712 ERROR [org.ovirt.engine.core.utils.kerberos.ManageDomains] Failure while applying Kerberos configuration. Details: Authentication Failed. Please verify the fully qualified domain name that is used for authentication is correct.

Expected results:
No asking for password.

Additional Info:
A separate bug will be open, asking for a suitable error in such case.
Comment 1 Yair Zaslavsky 2012-11-20 07:43:15 EST
Suggested patch upstream: 

http://gerrit.ovirt.org/#/c/9349/
Comment 3 Ilanit Stein 2013-02-14 07:31:30 EST
Verified on sf-7:
[root@lilach-rhel yum.repos.d]# rhevm-manage-domains -action=add -domain=dc1.forest2008.qa.lab.tlv.redhat.com -user=vdcadmin -provider=ActiveDirectory -interactive
No LDAP servers can be obtained for domain dc1.forest2008.qa.lab.tlv.redhat.com
Comment 4 Itamar Heim 2013-06-11 04:28:44 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:28:54 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:31:44 EDT
3.2 has been released